#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TurretSkillWingData
{
	//编号
	int mID;
	//技能ID
	int mSkillId;
	//技能描述
	std::string mSkillDesc;
	//初始数值
	int mValue;
	//对应数值
	int mValueShu;
	//技能图标资源
	std::string mSkillResources;
	//升级加成
	int mAddValue;
	//最高加成次数
	int mTopValue;
};

class Fish_TurretSkillWing
{
public:
private:
	static std::auto_ptr<Fish_TurretSkillWing> msSingleton;
public:
	int GetCount();
	const Fish_TurretSkillWingData* GetData(int ID);
	boost::unordered_map<int, Fish_TurretSkillWingData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TurretSkillWing* GetSingleton();
private:
	boost::unordered_map<int, Fish_TurretSkillWingData> mMapData;
};
